SoSFVec4i32(3)

NAME
SoSFVec4i32 - The SoSFVec4i32 class is a container for an SbVec4i32 vector.

SYNOPSIS

#include <Inventor/fields/SoSFVec4i32.h>

Inherits SoSField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoSFVec4i32 & operator= (const SoSFVec4i32 &field)
virtual SbBool isSame (const SoField &field) const
const SbVec4i32 & getValue (void) const
void setValue (const SbVec4i32 &newvalue)
const SbVec4i32 & operator= (const SbVec4i32 &newvalue)
int operator== (const SoSFVec4i32 &field) const
int operator!= (const SoSFVec4i32 &field) const
void setValue (int32_t x, int32_t y, int32_t z, int32_t w)
void setValue (const int32_t xyzw[4])

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Attributes
SbVec4i32 value

  Additional Inherited Members

Detailed Description

The SoSFVec4i32 class is a container for an SbVec4i32 vector. This field is used where nodes, engines or other field containers need to store a single vector with four elements.

See also
    SbVec4i32, SoMFVec4i32 Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
    Coin 2.5

Member Function Documentation

  void * SoSFVec4i32::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoSFVec4i32::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoSFVec4i32::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Implements SoField.

  void SoSFVec4i32::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoSFVec4i32::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoSFVec4i32::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

  void SoSFVec4i32::setValue (int32_t x, int32_t y, int32_t z, int32_t w)
Set value of vector.

  void SoSFVec4i32::setValue (const int32_t xyzw[4])
Set value of vector.

Author

Generated automatically by Doxygen for Coin from the source code.